For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Project Customers
      • POSTCreate Project Customer
      • PUTUpdate Project Customer
      • DELDelete Project Customer
LogoLogo
SupportContact salesStart free trial
API ReferenceProject Customer

Delete Project Customer

DELETE
https://api.projectmanager.com/api/data/projects/customers/:customerId
DELETE
/api/data/projects/customers/:customerId
$curl -X DELETE https://api.projectmanager.com/api/data/projects/customers/customerId \
> -H "Authorization: Bearer <token>"
200Deleted
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue"
13}
Delete a project customer. They will also be removed from any projects they were assigned too.
Was this page helpful?
Previous

Retrieve Project Fields

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

customerIdstringRequiredformat: "uuid"
The id of the customer to remove

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.